extends Node3D

@onready var animation: AnimationPlayer = $AnimationPlayer
@onready var dust_animation: AnimationPlayer = %DustAnimation
@onready var open_sfx: AudioStreamPlayer3D = %OpenSFX
@onready var bulkhead_game_sound_emitter: GameSoundEmitter = %BulkheadGameSoundEmitter


func open() -> void:
	animation.play("open")
	dust_animation.play("spray")
	open_sfx.play()
	bulkhead_game_sound_emitter.emit_sound_here()


func close() -> void:
	# TODO bespoke close anim?
	animation.play_backwards("open")
